<?php
/**
 * Post Format: Status
 * @package StartNext
 */
global $startnext_opt;
if( isset($startnext_opt['post_read_more']) ):
    $readmore     = $startnext_opt['post_read_more'];
    $columns      = $startnext_opt['blog_columns'];
else:
    $readmore     = 'Read More';
    $columns      = '2';
endif;

if($columns == 1) {
    $grid = "col-xl-12 grid-item";
    $thumb_size = "startnext_post_one_columns_card_thumb";
}elseif($columns == 2) {
    $grid = "col-xl-6 grid-item";
    $thumb_size = "startnext_post_card_thumb";

}else {
    $grid = "col-xl-6 grid-item";
    $thumb_size = "startnext_post_card_thumb";
}
?>
<div class="<?php if ( is_active_sidebar( 'sidebar-1' ) ) { echo esc_attr($grid, 'startnext');} else{ echo esc_attr('col-xl-4 grid-item');} ?>">
    <div <?php post_class( 'single-blog-post' ); ?> >
        <?php if ( has_post_thumbnail() ) { ?>
        <div class="blog-image">
            <a href="<?php the_permalink() ?>">
                 <?php the_post_thumbnail($thumb_size) ?>
            </a>
        </div>
        <?php } ?>

        <div class="blog-post-content <?php if ( !has_post_thumbnail() ) {echo esc_attr('without-thumb');} ?>">
            <div class="post_type">
                <?php echo esc_html_e('Status', 'startnext'); ?>
            </div>

            <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
            <ul> 
                <li>
                    <i class="fa fa-user"></i>
                    <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ) ?>">
                        <?php the_author() ?>
                    </a> 
                </li>
                <li>
                    <i class="fa fa-calendar"></i>
                    <?php echo wp_kses_post(get_the_date('F d, Y')) ?>
                </li>
            </ul>

            <?php the_excerpt() ?>

            <?php if(!$readmore == ''){ ?>
                <div class="mt-2">
                    <a href="<?php the_permalink() ?>" class="read-more-btn">
                        <?php echo  esc_html($readmore, 'startnext') ?> 
                        <i data-feather="arrow-right"></i> 
                    </a>
                </div>
            <?php } ?>
        </div>
    </div>
</div>